Show / Hide Table of Contents

# Class ModelMetadata

A class that queries and caches model metadata and exposes it as properties

##### Inheritance

System.Object
ModelMetadata

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ModelMetadata

### Properties

#### CustomMetadataMap

##### Declaration

    public Dictionary<string, string> CustomMetadataMap { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<System.String, System.String> |

#### Description

Unstructured model description

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String | description string

#### Domain

Domain for this model

##### Declaration

    public string Domain { get; }

##### Property Value

Type | Description
--- | ---
System.String | domain name string

#### GraphDescription

Unstructured graph description

##### Declaration

    public string GraphDescription { get; }

##### Property Value

Type | Description
--- | ---
System.String | description string

#### GraphName

Graph name for this model

##### Declaration

    public string GraphName { get; }

##### Property Value

Type | Description
--- | ---
System.String | graph name string

#### ProducerName

Producer name string

##### Declaration

    public string ProducerName { get; }

##### Property Value

Type | Description
--- | ---
System.String | producer name string

#### Version

Version number

##### Declaration

    public long Version { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 | long version integer